=== appbar-1.0/Makefile ===
CC        = g++
CFLAGS    = -g -O2 -Wall
prefix     = /usr
INCLUDES  = -I$(prefix)/include
LIBS      = -lX11 -lXext -lXpm 
LDPATH    = -L/usr/X11R6/lib

PROG      = appbar
DEFINES   = #-DDEBUG

OBJS      = main.o appbar.o scanner.o icon.o linkedlist.o image.o

all: $(PROG) 

$(PROG): $(OBJS)
	$(CC) $(OBJS) $(LDPATH) $(LIBS) -o $@

$(OBJS): %.o: %.cc $(HEADERS)
	$(CC) $(CFLAGS) $(DEFINES) $(INCLUDES) -c $< -o $@

install: all
	install -s $(PROG) $(DESTDIR)$(prefix)/bin
	mkdir -p $(DESTDIR)/etc/X11/appbar
	mkdir -p $(DESTDIR)/usr/X11/share/appbar
	mkdir -p $(DESTDIR)/usr/X11/share/appbar/images
	cp appbar.rc $(DESTDIR)/etc/X11/appbar
	cp -r images/ $(DESTDIR)/usr/X11/share/appbar/

clean:
	rm -f $(PROG) $(OBJS) core
