=== setrootimage-1.0/Makefile ===
CC        = g++
CFLAGS    = -g -O2 -Wall
prefix     = /usr
INCLUDES  = -I$(prefix)/include
LIBS      = -lX11 -lXext
LDPATH    = -L/usr/X11R6/lib

PROG      = setrootimage
#DEFINES   = -DDEBUG

OBJS      = setrootimage.o linkedlist.o image.o

all: $(PROG) 

$(PROG): $(OBJS)
	$(CC) $(OBJS) $(LDPATH) $(LIBS) -o $@

$(OBJS): %.o: %.cc $(HEADERS)
	$(CC) $(CFLAGS) $(DEFINES) $(INCLUDES) -c $< -o $@

install: all
	install -s $(PROG) $(DESTDIR)$(prefix)/bin

clean:
	rm -f $(PROG) $(OBJS) core
