=== debian/changelog ===
aewm++-goodies (1.0-10.2) unstable; urgency=medium

  * Non-maintainer upload.

  [ Chris Hofstaedtler ]
  * Fix redirection in postrm (Closes: #908256)

  [ Vagrant Cascadian ]
  * debian/rules: Add -ffile-prefix-map to CFLAGS to avoid embedding build paths.
    (Closes: #1020810)

  [ Stefan Potyra ]
  * Fix FTBFS with --as-needed (Closes: #607538)

 -- Chris Hofstaedtler <zeha@debian.org>  Fri, 24 Jan 2025 01:10:50 +0100

aewm++-goodies (1.0-10.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Convert to 3.0 source format (Closes: #953994, #1007606).

 -- Bastian Germann <bage@debian.org>  Wed, 23 Nov 2022 19:21:56 +0100

aewm++-goodies (1.0-10) unstable; urgency=low

  * Accept patch for reproducible build, thanks Chris Lamb.
    (closes: #777282)
  * Accept Ubuntu fix for FTBFS with --as-needed, thanks
    Stefan Potyra.
  * Bump debhelper version to 9.
  * Bump Standards-Version to 3.9.7.0 including machine-readable
    debian/copyright file.
  * Remove debian/watch as this software is now unobtainable
    upstream.

 -- Chris Boyle <cmb@debian.org>  Mon, 13 Feb 2017 18:38:13 +0000

aewm++-goodies (1.0-9) unstable; urgency=low

  * Acknowledge NMU; thanks Luk. (closes: #470181)
  * Add missing comma in Depends.
  * Fix copyright-refers-to-versionless-license-file.
  * Update debian/watch. The upstream copy has disappeared from
    SourceForge; I've suggested that it be put on Google Code
    (where aewm++ now lives), so put that in the watch file.
    (closes: #529096)
  * Bump debhelper version to 7.
  * Don't strip in Makefiles; leave it to conditional dh_strip.
    (closes: #436375)
  * Bump Standards-Version to 3.8.1.0.
  * New menu location, File Management seems the closest fit for
    appbar and fspanel (they don't depend on aewm++). Reopen the
    bug if you can think of a better section. (closes: #496045)
  * Catch errors from make clean.
  * Use dh_prep, not dh_clean -k.
  * Quote tags in menu file.
  * Hush lintian wrong-name-for-upstream-changelog (there are
    several changelogs here; merging them would make them harder to
    read).

 -- Chris Boyle <cmb@debian.org>  Mon, 25 May 2009 06:34:21 +0100

aewm++-goodies (1.0-8.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with GCC 4.3 (Closes: #461726).
  * Add libxext-dev to the buid dependencies (Closes: #464603).

 -- Luk Claes <luk@debian.org>  Sun, 09 Mar 2008 18:43:46 +0000

aewm++-goodies (1.0-8) unstable; urgency=low

  * Oops. Update Build-Depends for Xorg. (closes: #346621)

 -- Chris Boyle <cmb@debian.org>  Thu, 16 Feb 2006 13:47:33 +0000

aewm++-goodies (1.0-7) unstable; urgency=low

  * Censored aewm++_fspanel manpage at a user's request. (closes: #291736)
  * Renamed binaries and manpages to aewm++_* for consistency.
    (closes: #291727)
  * Add "using namespace std;" where appropriate.

 -- Chris Boyle <cmb@debian.org>  Fri, 11 Mar 2005 14:05:43 +0000

aewm++-goodies (1.0-6) unstable; urgency=low

  * Fixed debian/watch file (sourceforge ftp layout).

 -- Chris Boyle <cmb@debian.org>  Sun, 28 Mar 2004 19:20:12 +0100

aewm++-goodies (1.0-5) unstable; urgency=low

  * Use debian/rules to fix really, really bad flags for ae_fspanel.
    (closes: #207021)

 -- Chris Boyle <cmb@debian.org>  Sun, 31 Aug 2003 20:28:34 +0100

aewm++-goodies (1.0-4) unstable; urgency=low

  * Force re-upload of everything, I don't know why tf it lost the 
    orig.tar.gz file...

 -- Chris Boyle <cmb@debian.org>  Sun, 17 Aug 2003 10:45:12 +0100

aewm++-goodies (1.0-3) unstable; urgency=low

  * Add pointer to /usr/share/common-licenses/GPL in copyright.
  * Add dh_shlibdeps call, which was completely missing, causing the
    Depends field to also be completely missing. Oops.
  * Thank you Randall Donald for pointing out both of these.

 -- Chris Boyle <cmb@debian.org>  Fri,  1 Aug 2003 06:44:31 +0100

aewm++-goodies (1.0-2) unstable; urgency=low

  * FFS... I knew I'd forget something. Sorry. (/me hangs head in lame)
    Conflicts: aewm++ (<< 1.0.24-1)

 -- Chris Boyle <cmb@debian.org>  Thu, 24 Jul 2003 10:33:30 +0100

aewm++-goodies (1.0-1) unstable; urgency=medium

  * Initial Release: upstream split this from aewm++, I am debianising
    the new separate package.
  * urgency=medium since a new aewm++ is waiting for this to exist and
    the one currently in the archive is about a year old.
  * Bumped standards-version from 3.5.8 to 3.6.0.
  * Set up debian/rules, lots moved from my aewm++ package.
  * Copied aewm++/Makefile from aewm++ too, since it's missing here!
  * Change #include <iostream> to #include <iostream.h> in several
    places, since the former no longer works.
  * Re-instated all four manpages.
  * Re-instated changes to appbar makefile (images location).
  * Building with pbuilder.
  * Stopped using dh_installchangelogs since it can't do multiple 
    changelogs.

 -- Chris Boyle <cmb@debian.org>  Thu, 24 Jul 2003 08:59:09 +0100
