=== debian/control ===
Source: aewm++-goodies
Section: x11
Priority: optional
Maintainer: Chris Boyle <cmb@debian.org>
Build-Depends: debhelper (>= 9), libx11-dev, libxpm-dev, libxext-dev
Standards-Version: 3.9.7.0

Package: aewm++-goodies
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: aewm++ (<< 1.0.24-1)
Enhances: aewm++ (>= 1.0.24-1)
Description: utilities to complement a minimal window manager
 These utilities were previously supplied with aewm++; they are intended 
 to provide some of the typical desktop functionality that aewm++ itself 
 does not include. This package provides:
  * aewm++_appbar: a small application launcher
  * aewm++_fspanel: a very small panel
  * aewm++_setrootimage: draws a gradient on the X root window
  * aewm++_xsession: keeps an X session alive
 Note that some of these were named differently in previous releases.
