## aewm++-goodies 1.0-10

=== ae_fspanel-1.0/Makefile ===
CC = gcc
prefix=/usr
C_FLAGS = -DNOSTDLIB -DHAVE_XPM -Wall -I/usr/X11R6/include -m386 -malign-loops=2 -malign-jumps=2 -malign-functions=2
L_FLAGS = -O1 -Xlinker -s -L/usr/X11R6/lib -lX11 -lXpm
LDLIBS=-lX11 -lXpm
PROGNAME = aewm++_fspanel

$(PROGNAME): Makefile ae_fspanel.c ae_fspanel.h icon.xpm
	$(CC) $(C_FLAGS) $(CFLAGS) $(L_FLAGS) $(LDFLAGS) ae_fspanel.c $(LDLIBS) -o $(PROGNAME)
	@ls -l $(PROGNAME)

clean: 
	rm -f core *.o $(PROGNAME) nohup.out

install: $(PROGNAME)
	cp -r $(PROGNAME) $(DESTDIR)$(prefix)/bin
