=== setrootimage-1.0/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 LIBS      = -lX11 -lXext
 LDPATH    = -L/usr/X11R6/lib
 
-PROG      = setrootimage
+PROG      = aewm++_setrootimage
 #DEFINES   = -DDEBUG
 
 OBJS      = setrootimage.o linkedlist.o image.o
@@ -19,7 +19,7 @@
 	$(CC) $(CFLAGS) $(DEFINES) $(INCLUDES) -c $< -o $@
 
 install: all
-	install -s $(PROG) $(DESTDIR)$(prefix)/bin
+	install $(PROG) $(DESTDIR)$(prefix)/bin
 
 clean:
 	rm -f $(PROG) $(OBJS) core
