=== xsession/Makefile ===
CC        = gcc
CFLAGS    = -g -O2 -Wall
IFLAGS    = 

PROG      = aewm++_xsession
PREFIX    = /usr

$(PROG): xsession.c
	$(CC) xsession.c -o $@

install: $(PROG)
	install -D $(IFLAGS) $(PROG) $(DESTDIR)$(PREFIX)/bin/$(PROG)
	
uninstall:
	rm -f $(DESTDIR)$(PREFIX)/bin/$(PROG)

clean:
	rm -f $(PROG) core
