=== debian/rules ===
--- 
+++ 
@@ -6,9 +6,6 @@
 #export DH_VERBOSE=1
 
 CFLAGS = -Wall -Wno-deprecated -g
-
-# Avoid embedding build path for reproducible builds
-CFLAGS += -ffile-prefix-map=$(CURDIR)=.
 
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
 	CFLAGS += -O0
@@ -37,7 +34,7 @@
 	dh_testdir
 	
 	# Add here commands to compile the arch part of the package.
-	$(MAKE) -C ae_fspanel-1.0 CFLAGS="$(CFLAGS)" C_FLAGS="-DNOSTDLIB -DHAVE_XPM -Wall -I/usr/X11R6/include" LDFLAGS="$(LDFLAGS)" L_FLAGS="-Xlinker -L/usr/X11R6/lib"
+	$(MAKE) -C ae_fspanel-1.0 CFLAGS="$(CFLAGS)" C_FLAGS="-DNOSTDLIB -DHAVE_XPM -Wall -I/usr/X11R6/include" LDFLAGS="$(LDFLAGS)" L_FLAGS="-Xlinker -L/usr/X11R6/lib -lX11 -lXpm"
 	$(MAKE) -C appbar-1.0 $(COMPILER_FLAGS)
 	$(MAKE) -C setrootimage-1.0 $(COMPILER_FLAGS)
 	$(MAKE) -C xsession $(COMPILER_FLAGS)
