## aewm++-goodies 1.0-10build1

=== debian/changelog ===
aewm++-goodies (1.0-10build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:32:33 +0100
